#
# spec file for package btop
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           btop
Version:        1.2.5
Release:        %mkrel 3
Summary:        A monitor of resources
Group:          Monitoring
License:        Apache License 2.0
URL:            https://github.com/aristocratos/btop
Source:         %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  gcc-c++


%description
Resource monitor that shows usage and stats for processor, memory, disks,
network and processes.
C++ version and continuation of bashtop and bpytop.

%prep
%autosetup

%build
export CC="/usr/bin/gcc"
export CXX="/usr/bin/g++"
%set_build_flags
%make_build --trace

%install
%make_install PREFIX=%{_prefix}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/


%changelog
* Mon Mar 28 2022 ghibo <ghibo> 1.2.5-3.mga9
+ Revision: 1829909
- Add flag in %%make_build to keep track in logs that distro CFLAGS/CXXFLAGS are used.

* Tue Mar 15 2022 umeabot <umeabot> 1.2.5-2.mga9
+ Revision: 1793893
- Mageia 9 Mass Rebuild

* Sun Mar 06 2022 kekepower <kekepower> 1.2.5-1.mga9
+ Revision: 1789241
- Update to version 1.2.5

* Sun Feb 27 2022 kekepower <kekepower> 1.2.4-1.mga9
+ Revision: 1786358
- Update to version 1.2.4

* Wed Feb 16 2022 kekepower <kekepower> 1.2.3-1.mga9
+ Revision: 1777761
- Update to version 1.2.3

* Sun Feb 13 2022 kekepower <kekepower> 1.2.2-1.mga9
+ Revision: 1773833
- Update to version 1.2.2

* Fri Feb 11 2022 kekepower <kekepower> 1.2.1-1.mga9
+ Revision: 1773110
- Update to version 1.2.1

* Sun Jan 16 2022 kekepower <kekepower> 1.2.0-1.mga9
+ Revision: 1768721
- Update to version 1.2.0

* Wed Dec 29 2021 kekepower <kekepower> 1.1.4-1.mga9
+ Revision: 1765363
- Update to version 1.1.4

* Sat Dec 11 2021 kekepower <kekepower> 1.1.3-1.mga9
+ Revision: 1761515
- Update to version 1.1.3

* Sat Nov 27 2021 kekepower <kekepower> 1.1.2-1.mga9
+ Revision: 1759692
- Update to version 1.1.2

* Tue Nov 16 2021 kekepower <kekepower> 1.1.1-1.mga9
+ Revision: 1757104
- Update to version 1.1.1

* Sun Nov 14 2021 kekepower <kekepower> 1.1.0-1.mga9
+ Revision: 1756218
- Update to version 1.1.0

* Wed Nov 10 2021 kekepower <kekepower> 1.0.24-1.mga9
+ Revision: 1755597
- Update to version 1.0.24

* Mon Nov 08 2021 kekepower <kekepower> 1.0.23-1.mga9
+ Revision: 1754785
- Update to version 1.0.23

* Thu Nov 04 2021 kekepower <kekepower> 1.0.22-1.mga9
+ Revision: 1753874
- Update to version 1.0.22
+ wally <wally>
- build debug pkgs and use our build time flags

* Fri Oct 29 2021 kekepower <kekepower> 1.0.20-1.mga9
+ Revision: 1753274
- imported package btop

